##############################################################################
## This file is part of 'SLAC Firmware Standard Library'.
## It is subject to the license terms in the LICENSE.txt file found in the
## top-level directory of this distribution and at:
##    https://confluence.slac.stanford.edu/display/ppareg/LICENSE.html.
## No part of 'SLAC Firmware Standard Library', including this file,
## may be copied, modified, propagated, or distributed except according to
## the terms contained in the LICENSE.txt file.
##############################################################################
#schemaversion 3.0.0

TPGSeqState: &TPGSeqState
  class: MMIODev
  description: Timing pattern sequencer state
  size: 0x2000
  metadata:
    nseq: &nseq 100
  #########
  children:
  #########
    #########################################################
    SeqIndex:
      at:
        offset: 0x0000
        stride: 8
        nelms: *nseq
      class: IntField
      name: SeqIndex
      sizeBits: 32
      lsbit: 0
      mode: RO
      description: Sequencer instruction address
    #########################################################
    SeqCondACount:
      at:
        offset: 0x0004
        stride: 8
        nelms: *nseq
      class: IntField
      name: SeqCondACount
      sizeBits: 8
      lsbit: 0
      mode: RO
      description: BSA condition A counter
    #########################################################
    SeqCondBCount:
      at:
        offset: 0x0005
        stride: 8
        nelms: *nseq
      class: IntField
      name: SeqCondBCount
      sizeBits: 8
      lsbit: 0
      mode: RO
      description: BSA condition B counter
    #########################################################
    SeqCondCCount:
      at:
        offset: 0x0006
        stride: 8
        nelms: *nseq
      class: IntField
      name: SeqCondCCount
      sizeBits: 8
      lsbit: 0
      mode: RO
      description: BSA condition C counter
    #########################################################
    SeqCondDCount:
      at:
        offset: 0x0007
        stride: 8
        nelms: *nseq
      class: IntField
      name: SeqCondDCount
      sizeBits: 8
      lsbit: 0
      mode: RO
      description: BSA condition D counter
